Subject: Re: [PATCH 0/7] More i18n fixes

From: Jean-Noël AVILA <[email-masked]>
Date: Mon, 21 Mar 2022 21:13:01 +0100

On Monday, 21 March 2022 20:03:46 CET Junio C Hamano wrote:
> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
> 
> >> Disclaimer: neither am I a translator nor a user of a translated Git.
> >
> > Just to add to this:
> >
> >  - Careful use of sentence lego is OK, but e.g. in my native language a
> >    command-line option would use a male noun article, whereas commands
> >    would be feminine.
> 
> Hmph, if we gather wisdom from folks with different native languages
> and varying rules, I am unsure that we still can say that "careful"
> use of sentence lego is OK.
> 

To me, this is not sentence lego because:
 * the placeholders are replacing constant strings that won't have declensions 
or grammatical agreements
 * the placeholders are linked to content where the variables have the same 
type, which makes them have the same genre for each language. This is the case 
for commands, options, env variables,...

Given these prerequisites, there's nothing that needs careful lego, because 
there is no risk at all. The only needed refinement, which I haven't addressed 
in this series,  is making it clear for the translator what the placeholder is 
referring to in order to get the wording correct.